# Class LaunchAsAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.debug.ui.actions.LaunchAsAction

All Implemented Interfaces:
  `IAction, IMenuCreator, IActionDelegate, IWorkbenchWindowActionDelegate, IWorkbenchWindowPulldownDelegate, IWorkbenchWindowPulldownDelegate2`

@Deprecated public class LaunchAsAction extends Action implements IMenuCreator, IWorkbenchWindowPulldownDelegate2
Deprecated.
The use of perspective based launch shortcuts has been deprecated in the 3.1 release. Instead, selection sensitive launch is supported in the top level menus. Use `LaunchShorcutsAction` instead.
A cascading sub-menu that shows all launch shortcuts pertinent to a launch group.

Clients may instantiate this class.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

## Constructor Summary

Constructors
Constructor
Description
`LaunchAsAction(String launchGroupIdentifier)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
Deprecated.
`Menu`
`getMenu(Control parent)`
Deprecated.
`Menu`
`getMenu(Menu parent)`
Deprecated.
`void`
`init(IWorkbenchWindow window)`
Deprecated.
`void`
`run()`
Deprecated.
`void`
`run(IAction action)`
Deprecated.
`void`
`selectionChanged(IAction action, ISelection selection)`
Deprecated.

### Methods inherited from class Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LaunchAsAction

@Deprecated public LaunchAsAction(String launchGroupIdentifier)
Deprecated.
Creates a cascading menu action to populate with shortcuts in the given launch group.

Parameters:
  `launchGroupIdentifier` - launch group identifier

## Method Details

### run

@Deprecated public void run()
Deprecated.
Description copied from class: `Action`
The default implementation of this `IAction` method does nothing. Subclasses should override this method if they do not need information from the triggering event, or override `runWithEvent(Event)` if they do.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  - `IAction.run()`

### dispose

@Deprecated public void dispose()
Deprecated.
Description copied from interface: `IMenuCreator`
Disposes the menu returned by `getMenu`. Does nothing if there is no menu. This method will be executed only when the parent of the menu is disposed.

Specified by:
  `dispose` in interface `IMenuCreator`
Specified by:
  `dispose` in interface `IWorkbenchWindowActionDelegate`
See Also:
  - `IMenuCreator.dispose()`

### getMenu

@Deprecated public Menu getMenu(Control parent)
Deprecated.
Description copied from interface: `IMenuCreator`
Returns the SWT menu, created as a pop up menu parented by the given control. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

Specified by:
  `getMenu` in interface `IMenuCreator`
Specified by:
  `getMenu` in interface `IWorkbenchWindowPulldownDelegate`
Parameters:
  `parent` - the parent control
Returns:
  the menu, or `null` if the menu could not be created
See Also:
  - `IMenuCreator.getMenu(Control)`

### getMenu

@Deprecated public Menu getMenu(Menu parent)
Deprecated.
Description copied from interface: `IMenuCreator`
Returns an SWT menu created as a drop down menu parented by the given menu. In most cases, this menu can be created once, cached and reused when the pop-up/drop-down action occurs. If the menu must be dynamically created (i.e., each time it is popped up or dropped down), the old menu should be disposed of before replacing it with the new menu.

Specified by:
  `getMenu` in interface `IMenuCreator`
Specified by:
  `getMenu` in interface `IWorkbenchWindowPulldownDelegate2`
Parameters:
  `parent` - the parent menu
Returns:
  the menu, or `null` if the menu could not be created
See Also:
  - `IMenuCreator.getMenu(Menu)`

### init

@Deprecated public void init(IWorkbenchWindow window)
Deprecated.
Description copied from interface: `IWorkbenchWindowActionDelegate`
Initializes this action delegate with the workbench window it will work in.

Specified by:
  `init` in interface `IWorkbenchWindowActionDelegate`
Parameters:
  `window` - the window that provides the context for this delegate
See Also:
  - `IWorkbenchWindowActionDelegate.init(org.eclipse.ui.IWorkbenchWindow)`

### run

@Deprecated public void run(IAction action)
Deprecated.
Description copied from interface: `IActionDelegate`
Performs this action.

This method is called by the proxy action when the action has been triggered. Implement this method to do the actual work.

Note: If the action delegate also implements `IActionDelegate2`, then this method is not invoked but instead the `runWithEvent(IAction, Event)` method is called.

Specified by:
  `run` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles the presentation portion of the action
See Also:
  - `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### selectionChanged

@Deprecated public void selectionChanged(IAction action, ISelection selection)
Deprecated.
Description copied from interface: `IActionDelegate`
Notifies this action delegate that the selection in the workbench has changed.

Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

Specified by:
  `selectionChanged` in interface `IActionDelegate`
Parameters:
  `action` - the action proxy that handles presentation portion of the action
  `selection` - the current selection, or `null` if there is no selection.
See Also:
  - `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`